# Note to Fedora Extras reviewers: The developer is very inconsistent
# about the capitalization of the program name.  I have erred on the
# conservative side.
Name:		blogtk
Version:	1.1
Release:	4%{?dist}
Summary:	Gnome application for editing/maintaining blogs
Group:		Applications/Internet
License:	BSD
URL:		http://blogtk.sourceforge.net
Source0:	http://dl.sf.net/blogtk/blogtk_%{version}.tar.bz2
Source1:	BSD
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	gnome-python2 >= 2.00
Requires:	pygtk2 >= 2.00
Requires:	aspell
BuildRequires:  pygtk2-devel >= 2.00
BuildRequires:	glib2-devel
BuildRequires:  desktop-file-utils
# To make sure this doesn't inflict pain on CapNames users
Provides:	BloGTK = %{version}-%{release}


%description
BloGTK is a weblog posting client written in Python for any platform that
supports Python and the GTK widget set. BloGTK allows you to connect to your
weblog with XML-RPC and create new posts.


%prep
%setup -q -n BloGTK-%{version}
cp %{SOURCE1} $RPM_BUILD_DIR/BloGTK-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT
# Cope with developer's Makefile and Fedora standards
%define pyver %(python -c "import sys; x = sys.version_info; print '%%s.%%s' %% (x[0], x[1])")
install -m 755 -d $RPM_BUILD_ROOT/%{_bindir}
install -m 755 -d $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/%{name}
install -m 755 -d $RPM_BUILD_ROOT/%{_datadir}/{%{name},pixmaps/%{name}}
install -m 755 src/* \
	$RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/%{name}
install -m 644 pixmaps/blogtk.glade \
	$RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 pixmaps/*.png $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 -D data/blogtk-icon.png \
	$RPM_BUILD_ROOT/%{_datadir}/pixmaps/blogtk-icon.png
%{__sed} -i 's/Exec=BloGTK/Exec=blogtk/' data/blogtk.desktop
install -m 644 -D data/blogtk.desktop \
	$RPM_BUILD_ROOT/%{_datadir}/applications/blogtk.desktop
cat << EOF > $RPM_BUILD_ROOT/%{_bindir}/blogtk
#!/bin/sh
exec %{_libdir}/python%{pyver}/site-packages/%{name}/BloGTK.py
EOF
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/blogtk
desktop-file-install --vendor=fedora \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category=X-Fedora \
	--delete-original \
	--add-category=Network \
	$RPM_BUILD_ROOT/%{_datadir}/applications/blogtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README BSD
%{_bindir}/*
%dir %{_libdir}/python%{pyver}/site-packages/%{name}
%{_libdir}/python%{pyver}/site-packages/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-blogtk.desktop
%{_datadir}/pixmaps/blogtk-icon.png


%changelog
* Mon Aug 29 2005 Paul W. Frields <stickster@gmail.com> - 1.1-4
- Add BSD license file

* Sat Aug 20 2005 Paul W. Frields <stickster@gmail.com> - 1.1-3
- Revised packaging to match current Fedora Extras guidelines

* Mon Mar 21 2005 Seth Vidal <skvidal@phy.duke.edu> 1.1-2
- fixes for fedora extras compliance

* Thu Mar 17 2005 Seth Vidal <skvidal@phy.duke.edu> 1.1-1
- initial package
